// eslint-disable-next-line @typescript-eslint/no-var-requires
const mongoose = require('mongoose');

module.exports = {
  data: [
    {
      modules: [
        {
          id: 'computer',
          name: 'Ordinateur',
        },
        {
          id: 'wifiEnAccesLibre',
          name: 'Wifi',
        },
        {
          id: 'printer',
          name: 'Imprimante',
        },
        {
          id: 'scanner',
          name: 'Scanner',
        },
      ],
      name: 'Accéder à du matériel numérique en libre service',
      theme: 'Matériel et wifi',
      id: 'selfServiceMaterial',
      _id: mongoose.Types.ObjectId('5fbb92dd80a5c257dc0161ef'),
    },
    {
      modules: [
        {
          id: 'computer',
          name: 'Ordinateur',
        },
        {
          id: 'tablette',
          name: 'Tablette',
        },
        {
          id: 'smartphone',
          name: 'Smartphone',
        },
        {
          id: 'telecom',
          name: 'Forfait internet et mobile',
        },
        {
          id: '4g',
          name: 'Clé 4G',
        },
      ],
      name: 'Acheter du matériel numérique à tarif solidaire',
      theme: 'Matériel et wifi',
      id: 'solidarityMaterial',
      _id: mongoose.Types.ObjectId('5fbb92e480a5c257dc0161f0'),
    },
    {
      modules: [
        {
          id: 'caf',
          name: 'CAF',
        },
        {
          id: 'cpam',
          name: 'CPAM',
        },
        {
          id: 'idDoc',
          name: 'Carte d’identité, passeport',
        },
        {
          id: 'foreigners',
          name: 'Démarches liées aux étrangers',
        },
        {
          id: 'needs',
          name: 'Énergie, téléphonie, internet',
        },
        {
          id: 'training',
          name: 'Formation (CPF...)',
        },
        {
          id: 'franceConnect',
          name: 'France Connect',
        },
        {
          id: 'taxes',
          name: 'Impôts',
        },
        {
          id: 'housing',
          name: 'Logement',
        },
        {
          id: 'retirement',
          name: 'Retraite',
        },
        {
          id: 'health',
          name: 'Santé (Ameli...)',
        },
        {
          id: 'scolarity',
          name: 'Scolarité (CROUS…)',
        },
        {
          id: 'transport',
          name: 'Transports (carte grise, permis, TCL…)',
        },
        {
          id: 'work',
          name: 'Travail (Pôle emploi, CESU…)',
        },
        {
          id: 'autres',
          name: 'Autres',
        },
      ],
      name: 'Démarches en ligne',
      theme: 'Démarches en ligne',
      id: 'onlineProcedures',
      _id: mongoose.Types.ObjectId('5fbb92e980a5c257dc0161f1'),
    },
    {
      modules: [
        {
          id: 'computer',
          name: "Prise en main de l'ordinateur",
          apticIds: ['1'],
        },
        {
          id: 'internet',
          name: "Utilisation d'Internet",
          apticIds: ['11', '34'],
        },
        {
          id: 'smartphone',
          name: 'Prise en main du smartphone, de la tablette',
          apticIds: ['38', '74', '77'],
        },
        {
          id: 'mail',
          name: 'Création et gestion de sa boîte mail',
          apticIds: ['48'],
        },
        {
          id: 'work',
          name: "Recherche d'emploi en ligne",
          apticIds: ['6', '20', '124', '125', '127'],
        },
        {
          id: 'officeAutomation',
          name: 'Bureautique et mise en page',
          apticIds: ['66', '67', '68', '69'],
        },
        {
          id: 'communication',
          name: 'Outils de communication (réseaux sociaux, visio...)',
          apticIds: ['5', '65'],
        },
        {
          id: 'data',
          name: 'Gérer ses données',
          apticIds: ['51', '52', '54'],
        },
        {
          id: 'scolarity',
          name: 'Scolarité (Pronote, laclasse.com...)',
          apticIds: ['82'],
        },
      ],
      name: 'Compétences numériques de base',
      theme: 'Compétences numériques',
      id: 'baseSkills',
      _id: mongoose.Types.ObjectId('5fbb92ef80a5c257dc0161f2'),
    },
    {
      modules: [
        {
          id: 'cyberAndConf',
          name: 'Cybersécurité et confidentialité',
          apticIds: ['1', '2', '96', '97', '98'],
        },
        {
          id: 'parenting',
          name: 'Parentalité et éducation numérique',
          apticIds: ['3'],
        },
        {
          id: 'videoGames',
          name: 'Découverte des jeux vidéos',
          apticIds: ['22'],
        },
        {
          id: 'numericCreate',
          name: 'Création numérique (FabLab)',
          apticIds: ['9'],
        },
        {
          id: 'fakeNews',
          name: 'Vérifier les informations, repérer les fake news',
          apticIds: ['39'],
        },
        {
          id: 'photoVideo',
          name: 'Création photo et vidéo',
        },
        {
          id: 'devAndRobots',
          name: 'Programmation et robotique',
        },
        {
          id: 'numericalCitizenship',
          name: 'Citoyenneté numérique',
        },
        {
          id: 'responsibleDigital',
          name: 'Numérique responsable',
        },
      ],
      name: 'Approfondir sa culture numérique',
      theme: 'Compétences numériques',
      id: 'advancedSkills',
      _id: mongoose.Types.ObjectId('5fbb92f380a5c257dc0161f3'),
    },
    {
      modules: [
        {
          id: 'accesLibre',
          name: 'Accès libre',
        },
        {
          id: 'telephoneVisio',
          name: 'Téléphone / Visio',
        },
        {
          id: 'surRdv',
          name: 'Sur RDV',
        },
      ],
      name: "Modalités d'accès",
      id: 'accessModality',
      _id: mongoose.Types.ObjectId('5fbb933b80a5c257dc0161f5'),
    },
    {
      modules: [
        {
          id: 'aidantsConnect',
          name: 'Aidants Connect',
        },
        {
          id: 'espacePublicNumeriqueepn',
          name: 'Espace public numérique',
        },
        {
          id: 'fabriqueDeTerritoire',
          name: 'Fabrique de territoire',
        },
        {
          id: 'maisonFranceService',
          name: 'Maison France Service',
        },
        {
          id: 'passNumerique',
          name: 'Pass numérique',
        },
        {
          id: 'conseillerNumFranceServices',
          name: 'Conseiller numérique France services',
        },
        {
          id: 'monEspaceSante',
          name: 'Mon espace santé',
        },
        {
          id: 'numRelay',
          name: 'Les relais numériques',
        },
        {
          id: 'pix',
          name: 'Pix',
        },
      ],
      name: 'Labels et qualifications',
      id: 'labelsQualifications',
      _id: mongoose.Types.ObjectId('5fbb934c80a5c257dc0161f8'),
    },
    {
      modules: [
        {
          id: 'family',
          name: 'Familles et/ou enfants',
        },
        {
          id: 'young',
          name: 'Jeunes (16-25 ans)',
        },
        {
          id: 'adults',
          name: 'Adultes',
        },
        {
          id: 'old',
          name: 'Seniors (plus de 65 ans)',
        },
      ],
      name: 'Âge',
      theme: 'Public',
      id: 'age',
      _id: mongoose.Types.ObjectId('5fbb935080a5c257dc0161f9'),
    },
    {
      modules: [
        {
          id: 'illettrisme',
          name: 'Personne en situation d’illettrisme',
        },
        {
          id: 'english',
          name: 'Langue étrangère (Anglais)',
        },
        {
          id: 'foreignLanguage',
          name: 'Langue étrangère (autres)',
        },
      ],
      name: 'Langue et illettrisme',
      theme: 'Public',
      id: 'languageAndIlliteracy',
      _id: mongoose.Types.ObjectId('5fbb931c80a5c257dc0161f4'),
    },
    {
      modules: [
        {
          id: 'blindness',
          name: 'Déficience visuelle',
        },
        {
          id: 'deafness',
          name: 'Surdité',
        },
        {
          id: 'physicalDisability',
          name: 'Handicaps moteurs',
        },
        {
          id: 'mentalDisability',
          name: 'Handicaps mentaux',
        },
      ],
      name: 'Handicaps',
      theme: 'Public',
      id: 'handicaps',
    },
    {
      modules: [
        {
          id: 'uniquementFemmes',
          name: 'Uniquement femmes',
        },
      ],
      name: 'Autres',
      theme: 'Public',
      id: 'publicOthers',
    },
    {
      modules: [
        {
          id: 'donDeMateriels',
          name: 'Prêt / don de matériels',
        },
        {
          id: 'reconditionnementsDeMateriel',
          name: 'Reconditionnements de matériel',
        },
        {
          id: 'accesLivresInformatiques',
          name: 'Accès à des revues ou livres informatiques et numériques',
        },
      ],
      name: 'Autres services',
      theme: 'Matériel et wifi',
      id: 'equipmentsServices',
    },
  ],
};
