import { Prop, Schema, SchemaFactory } from '@nestjs/mongoose';
import { Document } from 'mongoose';

export type ParametersDocument = Parameters & Document;

@Schema({ timestamps: { createdAt: 'createdAt', updatedAt: 'updatedAt' } })
export class Parameters {
  @Prop({ required: true })
  lockdownInfoDisplay: boolean;
}

export const ParametersSchema = SchemaFactory.createForClass(Parameters);
