import { Prop, Schema, SchemaFactory } from '@nestjs/mongoose';
import { Document } from 'mongoose';
import { Module } from './module.class';

export type CategoriesDocument = Categories & Document;

@Schema()
export class Categories {
  @Prop()
  name: string;

  @Prop()
  modules: Module[];

  @Prop()
  theme: string;

  @Prop()
  id: string;
}

export const CategoriesSchema = SchemaFactory.createForClass(Categories);
