import { Prop, Schema, SchemaFactory } from '@nestjs/mongoose';
import { Document } from 'mongoose';

export type OnlineMediationDocument = OnlineMediation & Document;

class DateSlot {
  day: string;
  hours: string;
}
@Schema()
export class OnlineMediation {
  @Prop()
  name: string;

  @Prop()
  surname: string;

  @Prop()
  phone: string;

  @Prop()
  onlineDemarchType: string[];

  @Prop({ type: DateSlot })
  dateSlot: DateSlot;

  @Prop()
  preferredLanguage: string;
}

export const OnlineMediationSchema = SchemaFactory.createForClass(OnlineMediation);
