import { ApiProperty } from '@nestjs/swagger';
import { IsNotEmpty, IsString } from 'class-validator';

export class CreateEmployerDto {
  @ApiProperty({ type: String, example: 'PIMMS Vaise' })
  @IsNotEmpty()
  @IsString()
  readonly name: string;
}
